import List from "@mui/material/List";
import Divider from "@mui/material/Divider";
import { NAVIGATION_ITEMS } from "@shared";
import { NavigationItem, NavigationItemComponent } from "@entities";

export const NavigationList = ({ open }: { open: boolean }) => {
  const primaryItems = NAVIGATION_ITEMS.primary;
  const secondaryItems = NAVIGATION_ITEMS.secondary;

  return (
    <>
      <List>
        {primaryItems.map((item) => (
          <NavigationItemComponent
            key={item.id}
            item={item as NavigationItem}
            open={open}
          />
        ))}
      </List>
      <Divider />
      <List>
        {secondaryItems.map((item) => (
          <NavigationItemComponent
            key={item.id}
            item={item as NavigationItem}
            open={open}
            onClick={item.onClick ? item.onClick : undefined}
          />
        ))}
      </List>
    </>
  );
};
