import { Paper } from "@mui/material";
import { cityStore, mediaStore } from "@shared";
import { MediaViewer } from "@widgets";
import { observer } from "mobx-react-lite";
import { ArrowLeft } from "lucide-react";
import { useEffect } from "react";
import { useNavigate, useParams } from "react-router-dom";

export const CityPreviewPage = observer(() => {
  const { id } = useParams();
  const { getCity, city } = cityStore;
  const { oneMedia, getOneMedia } = mediaStore;
  const navigate = useNavigate();

  useEffect(() => {
    (async () => {
      const cityResponse = await getCity(id as string);
      await getOneMedia(cityResponse.arms as string);
    })();
  }, [id]);

  return (
    <Paper className="w-full h-full p-3 flex flex-col gap-10">
      <div className="flex justify-between items-center">
        <button
          className="flex items-center gap-2"
          onClick={() => navigate(-1)}
        >
          <ArrowLeft size={20} />
          Назад
        </button>
        {/* <div className="flex gap-2">
          <Button
            variant="contained"
            color="primary"
            onClick={() => navigate(`/city/${id}/edit`)}
            startIcon={<Pencil size={20} />}
          >
            Редактировать
          </Button>
          <Button
            variant="contained"
            color="error"
            onClick={() => navigate(`/city/${id}/edit`)}
            startIcon={<Trash2 size={20} />}
          >
            Удалить
          </Button>
        </div> */}
      </div>
      <div className="flex flex-col gap-10 w-full">
        <div className="flex flex-col gap-2">
          <h1 className="text-lg font-bold">Название</h1>
          <p>{city?.name}</p>
        </div>

        <div className="flex flex-col gap-2">
          <h1 className="text-lg font-bold">Страна</h1>
          <p>{city?.country}</p>
        </div>
        <div className="flex flex-col gap-2">
          <h1 className="text-lg font-bold">Герб</h1>
          <div className="w-[300px] h-[200px]">
            <MediaViewer
              media={{
                id: oneMedia?.id as string,
                media_type: oneMedia?.media_type as number,
                filename: oneMedia?.filename,
              }}
            />
          </div>
        </div>
      </div>
    </Paper>
  );
});
